org.apache.storm.cluster

## Enum DaemonType

- java.lang.Object
- - java.lang.Enum<DaemonType>
  - - org.apache.storm.cluster.DaemonType

- All Implemented Interfaces:
    Serializable, Comparable<DaemonType>

      public enum DaemonType
      extends Enum<DaemonType>

  The type of process/daemon that this server is running as. This is used with the IStormClusterState implementation to know how to properly secure data stored in it.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NIMBUS`
    `PACEMAKER`
    `SUPERVISOR`
    `UNKNOWN`
    `WORKER`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static List<org.apache.storm.shade.org.apache.zookeeper.data.ACL>` | `NIMBUS_SUPERVISOR_ZK_ACLS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.apache.storm.shade.org.apache.zookeeper.data.ACL>` | `getDefaultZkAcls(Map<String,Object> conf)` Get the default ZK ACLs that should be used for a given daemon type.
    `List<org.apache.storm.shade.org.apache.zookeeper.data.ACL>` | `getZkSecretAcls(WorkerTokenServiceType type, Map<String,Object> conf)` Get the ACLs to store a secret for a given service.
    `static DaemonType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DaemonType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUPERVISOR

          public static final DaemonType SUPERVISOR

    - #### NIMBUS

          public static final DaemonType NIMBUS

    - #### WORKER

          public static final DaemonType WORKER

    - #### PACEMAKER

          public static final DaemonType PACEMAKER

    - #### UNKNOWN

          public static final DaemonType UNKNOWN

  - ### Field Detail

    - #### NIMBUS_SUPERVISOR_ZK_ACLS

          public static final List<org.apache.storm.shade.org.apache.zookeeper.data.ACL> NIMBUS_SUPERVISOR_ZK_ACLS

  - ### Method Detail

    - #### values

          public static DaemonType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DaemonType c : DaemonType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DaemonType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getDefaultZkAcls

          public List<org.apache.storm.shade.org.apache.zookeeper.data.ACL> getDefaultZkAcls(Map<String,Object> conf)

      Get the default ZK ACLs that should be used for a given daemon type.

      Parameters:
        `conf` - the config used to help get the correct ACLs.
      Returns:
        the list of acls. null means no acls.

    - #### getZkSecretAcls

          public List<org.apache.storm.shade.org.apache.zookeeper.data.ACL> getZkSecretAcls(WorkerTokenServiceType type,
                                                                                            Map<String,Object> conf)

      Get the ACLs to store a secret for a given service.

      Parameters:
        `type` - the type of service the secret is for.
        `conf` - the cluster configuration.
      Returns:
        the ACLs

Copyright © 2019 The Apache Software Foundation. All rights reserved.